FreeBSD : php-phar -- multiple vulnerabilities (8b1f53f3-2da5-11e5-86ff-14dae9d210b8)

Critical Nessus Plugin ID 84862


The remote FreeBSD host is missing one or more security-related updates.


reports :

Segfault in Phar::convertToData on invalid file.

Buffer overflow and stack smashing error in phar_fix_filepath.


Update the affected packages.

See Also

Plugin Details

Severity: Critical

ID: 84862

File Name: freebsd_pkg_8b1f53f32da511e586ff14dae9d210b8.nasl

Version: $Revision: 2.5 $

Type: local

Published: 2015/07/20

Modified: 2016/10/19

Dependencies: 12634

Risk Information

Risk Factor: Critical


Base Score: 10

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C


Base Score: 9.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:php5-phar, p-cpe:/a:freebsd:freebsd:php55-phar, p-cpe:/a:freebsd:freebsd:php56-phar, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2015/07/18

Vulnerability Publication Date: 2015/06/24

Reference Information

CVE: CVE-2015-5589, CVE-2015-5590